### Home Classes Methods

### In Files

- lib/facets/na.rb

### Methods

- ::inspect
- ::method_missing

### Files

- README.rdoc

### Class/Module Index

Quicksearch

- Lazy
- Lazy::Future
- Lazy::Promise
- Lazy::Promise::DIVERGES
- Lazy::PromiseSafe
- Enumerable
- Enumerable::Recursor
- Method
- Method::Composition
- Module
- Module::InstanceFunction
- Array
- Binding
- Class
- Comparable
- Denumerable
- Denumerator
- Dir
- Enumerator
- Exception
- Facets
- FalseClass
- File
- FileTest
- Fixnum
- Float
- Functor
- Hash
- Indexable
- Instance
- Integer
- Kernel
- MatchData
- NA
- NilClass
- Numeric
- Object
- ObjectSpace
- Proc
- Process
- Range
- Regexp
- String
- Struct
- Symbol
- Time
- TrueClass
- UnboundMethod

No matching classes.

# NA

N/A exception is useful for specifying non-argument defaults when `nil` is a valid value.

    def f(x=NA)
    end

NA is also used to represent an argument "slot" for Proc#partial.

NA is an instance of ArgumentError.

### Public Class Methods

inspect() click to toggle source

    # File lib/facets/na.rb, line 12
    def inspect ; 'N/A' ; end

method_missing(*) click to toggle source

    # File lib/facets/na.rb, line 13
    def method_missing(*); self; end

[Validate]

Generated with the Darkfish Rdoc Generator 2.